What's New

IMPORTANT: Sente 6.7 requires OS X 10.7 or later. If you are running OS X 10.6, you should not update to this release -- it will not run on your computer.

New in Sente 6.7.11 (11931) 2016-09-29

  • Corrected a bug in QuickAdd.
  • Fixed some bugs on OS X Sierra.

New in Sente 6.7.11 (11926) 2016-09-04

  • Corrected a problem in the previous build that made Sente crash on OS X 10.8 and 10.9.

New in Sente 6.7.11 (11923) 2016-09-01

  • Improved compatibility with OS X 10.11.
  • Converted all PubMed search code to use https; supports pending PubMed change.

Sente 6 (com.thirdstreetsoftware.sente6) is a Mac software application that has been discovered and submitted by users of Software.com. The latest version that our users have reported running on their systems is Sente 6 11931. The most popular version of this application used by our users is Sente 6 10418.

Operating System: Mac

Minimum OS version: 10.6.7